La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const price = await lapyme.priceListPrices.get({
priceListId: "550e8400-e29b-41d4-a716-446655440601",
productId: "550e8400-e29b-41d4-a716-446655440602",
});curl --request GET \
--url https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}/prices/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}/prices/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}/prices/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "req_price_list_price_1",
"pricing_revision": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"data": {
"object": "price_list_price",
"price_list_id": "550e8400-e29b-41d4-a716-446655440601",
"product_id": "550e8400-e29b-41d4-a716-446655440602",
"status": "priced",
"unit_price": 129570,
"currency": "ARS",
"tax_inclusive": false,
"tax_rate": {
"id": 5,
"value": 21
},
"is_exempt": false,
"calculation": {
"origin": "list_policy",
"type": "base_adjustment",
"source_price_list_id": "550e8400-e29b-41d4-a716-446655440603"
}
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Parámetros inválidos",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scope price_lists:read insuficiente",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Lista o producto no encontrado o no visible",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "PRICE_LIST_CONFIGURATION_INVALID para una configuración inválida o PRICE_LIST_PRICES_CHANGED cuando cambia la revisión",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Obtener un precio resuelto de una lista
Devuelve el precio unitario base efectivo para la identidad compuesta price_list_id y product_id. El valor no es una cotización por cliente, cantidad, fecha o promoción.
GET
/
api
/
v1
/
price-lists
/
{price_list_id}
/
prices
/
{product_id}
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const price = await lapyme.priceListPrices.get({
priceListId: "550e8400-e29b-41d4-a716-446655440601",
productId: "550e8400-e29b-41d4-a716-446655440602",
});Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ETag débil de una respuesta equivalente anterior.
Path Parameters
ID de la lista de precios
ID de la variante vendible
Was this page helpful?

